<profile>

<ReportVersion>
<Version>2022.1</Version>
</ReportVersion>

<UserAssignments>
<unit>ns</unit>
<ProductFamily>zynq</ProductFamily>
<Part>xc7z020-clg400-1</Part>
<TopModelName>cache_module</TopModelName>
<TargetClockPeriod>10.00</TargetClockPeriod>
<ClockUncertainty>2.70</ClockUncertainty>
<FlowTarget>vivado</FlowTarget>
</UserAssignments>

<PerformanceEstimates>
<PipelineType>no</PipelineType>
<SummaryOfTimingAnalysis>
<unit>ns</unit>
<EstimatedClockPeriod>6.917</EstimatedClockPeriod>
</SummaryOfTimingAnalysis>
<SummaryOfOverallLatency>
<unit>clock cycles</unit>
<Best-caseLatency>4</Best-caseLatency>
<Average-caseLatency>10</Average-caseLatency>
<Worst-caseLatency>14</Worst-caseLatency>
<Best-caseRealTimeLatency>40.000 ns</Best-caseRealTimeLatency>
<Average-caseRealTimeLatency>0.100 us</Average-caseRealTimeLatency>
<Worst-caseRealTimeLatency>0.140 us</Worst-caseRealTimeLatency>
<Interval-min>5</Interval-min>
<Interval-max>15</Interval-max>
</SummaryOfOverallLatency>
</PerformanceEstimates>

<AreaEstimates>
<Resources>
<BRAM_18K>0</BRAM_18K>
<FF>164</FF>
<LUT>730</LUT>
<URAM>0</URAM>
<DSP>0</DSP>
</Resources>
<AvailableResources>
<BRAM_18K>280</BRAM_18K>
<DSP>220</DSP>
<FF>106400</FF>
<LUT>53200</LUT>
<URAM>0</URAM>
</AvailableResources>
</AreaEstimates>

<InterfaceSummary>
<RtlPorts>
<name>ap_clk</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_rst</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_start</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_done</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_idle</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_ready</name>
<Object>cache_module</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>address</name>
<Object>address</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>32</Bits>
<Attribute>data</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>dirty</name>
<Object>dirty</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
<CType>bool</CType>
</RtlPorts>
<RtlPorts>
<name>dirty_ap_vld</name>
<Object>dirty</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
<CType>bool</CType>
</RtlPorts>
<RtlPorts>
<name>hit</name>
<Object>hit</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
<CType>bool</CType>
</RtlPorts>
<RtlPorts>
<name>hit_ap_vld</name>
<Object>hit</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
<CType>bool</CType>
</RtlPorts>
<RtlPorts>
<name>data</name>
<Object>data</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>8</Bits>
<Attribute>data</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>data_ap_vld</name>
<Object>data</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>updateSet</name>
<Object>updateSet</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>8</Bits>
<Attribute>data</Attribute>
<CType>uint</CType>
</RtlPorts>
<RtlPorts>
<name>updateWay</name>
<Object>updateWay</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>8</Bits>
<Attribute>data</Attribute>
<CType>uint</CType>
</RtlPorts>
<RtlPorts>
<name>newTag</name>
<Object>newTag</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>32</Bits>
<Attribute>data</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>updateTagValid</name>
<Object>updateTagValid</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
<CType>bool</CType>
</RtlPorts>
<RtlPorts>
<name>newData_address0</name>
<Object>newData</Object>
<Type>array</Type>
<Scope></Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>2</Bits>
<Attribute>address</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>newData_ce0</name>
<Object>newData</Object>
<Type>array</Type>
<Scope></Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>newData_q0</name>
<Object>newData</Object>
<Type>array</Type>
<Scope></Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>8</Bits>
<Attribute>data</Attribute>
<CType>int</CType>
</RtlPorts>
<RtlPorts>
<name>updateDataValid</name>
<Object>updateDataValid</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
<CType>bool</CType>
</RtlPorts>
</InterfaceSummary>

</profile>
